Package ghidra.app.util.bin.format.objc2

# Class ObjectiveC2_MethodList

java.lang.Object
ghidra.app.util.bin.format.objectiveC.ObjectiveC_MethodList
ghidra.app.util.bin.format.objc2.ObjectiveC2_MethodList

All Implemented Interfaces:
  `StructConverter`

public class ObjectiveC2_MethodList extends ObjectiveC_MethodList

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

  ### Fields inherited from class ghidra.app.util.bin.format.objectiveC.ObjectiveC_MethodList

  `_index, _state, methods`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC2_MethodList(ObjectiveC2_State state, BinaryReader reader, ObjectiveC_MethodType methodType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCount()`
  `long`
  `getEntsizeAndFlags()`
  `protected boolean`
  `isSmallMethods()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.
  `static DataType`
  `toGenericDataType()`

  ### Methods inherited from class ghidra.app.util.bin.format.objectiveC.ObjectiveC_MethodList

  `applyTo, getMethods`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ObjectiveC2_MethodList

    public ObjectiveC2_MethodList(ObjectiveC2_State state, BinaryReader reader, ObjectiveC_MethodType methodType) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### isSmallMethods

    protected boolean isSmallMethods()

  - ### getEntsizeAndFlags

    public long getEntsizeAndFlags()

  - ### getCount

    public long getCount()

  - ### toGenericDataType

    public static DataType toGenericDataType() throws DuplicateNameException
    Throws:
      `DuplicateNameException`

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`